[uClinux-dev] strace w/ 2.6 kernel

Greg Ungerer gerg at snapgear.com
Wed Aug 24 01:13:08 EDT 2005


Hi Brad,

Goodman, Brad wrote:
> As far as I can tell - strace does not build/work at all with the 2.6 kernel. It seems to be mostly header compatibility issues.
> 
> Are there any patches to fix this - or is it work embarking on fixing it myself?
> 
> This has been the show-stopper for me using 2.6, as I *need* strace.

I haven't heard of anyone hitting this problem (though it sure is real).
And no-one has sent any patches to fix it yet.

Regards
Greg



------------------------------------------------------------------------
Greg Ungerer  --  Chief Software Dude       EMAIL:     gerg at snapgear.com
SnapGear -- a CyberGuard Company            PHONE:       +61 7 3435 2888
825 Stanley St,                             FAX:         +61 7 3891 3630
Woolloongabba, QLD, 4102, Australia         WEB: http://www.SnapGear.com



More information about the uClinux-dev mailing list